## python-dropbox 9.4.0

=== requirements.txt ===
ply
pytest
pytest-runner
requests
six

## python-dropbox 8.0.0

=== debian/changelog ===
python-dropbox (8.0.0-1) unstable; urgency=low

  * Initial release (Closes: #828940).

 -- Michael Fladischer <fladi@debian.org>  Mon, 31 Jul 2017 21:30:40 +0200

=== debian/control ===
Source: python-dropbox
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-all,
               python3-pytest-runner,
               python3-requests,
               python3-setuptools
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-dropbox.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-dropbox.git
Homepage: http://www.dropbox.com/developers
X-Python3-Version: >= 3.3

Package: python3-dropbox
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Official Dropbox API Client (Python3 version)
 A Python SDK for integrating with the Dropbox API v2. You need to create an
 Dropbox Application to make API requests. All requests need to be made with an
 OAuth 2 access token. To get started, once you've created an app, you can go to
 the app's console and generate an access token for your own Dropbox account.
 .
 This package contains the Python 3 version of the library.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/dropbox/dropbox-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-dropbox 8.7.1

=== debian/changelog ===
python-dropbox (8.7.1-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Michael Fladischer ]
  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Fri, 16 Feb 2018 10:02:49 +0100

python-dropbox (8.7.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Sun, 04 Feb 2018 15:12:49 +0100

python-dropbox (8.6.0-1) unstable; urgency=low

  * New upstream release.
  * Enable autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Sat, 27 Jan 2018 13:44:46 +0100

python-dropbox (8.5.1-1) unstable; urgency=low

  * New upstream release.
  * Always use pristine-tar.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.3.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Mon, 08 Jan 2018 18:59:20 +0100

python-dropbox (8.5.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Thu, 16 Nov 2017 10:36:36 +0100

python-dropbox (8.4.1-1) unstable; urgency=low

  * New upstream release.
  * Clean up dropbox.egg-info/PKG-INFO to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Wed, 08 Nov 2017 09:39:07 +0100

python-dropbox (8.4.0-1) unstable; urgency=low

  * New upstream release.
  * Add missing debian/gbp.conf.
  * Update d/watch to use pypi simple API.
  * Clean up modified files to allow two builds in a row.
  * Bump Standards-Version to 4.1.1.

 -- Michael Fladischer <fladi@debian.org>  Tue, 17 Oct 2017 20:17:19 +0200

=== debian/control ===
Source: python-dropbox
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python3-all,
 python3-pytest-runner,
 python3-requests,
 python3-setuptools,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-dropbox
Vcs-Git: https://salsa.debian.org/python-team/modules/python-dropbox.git
Homepage: http://www.dropbox.com/developers
X-Python3-Version: >= 3.3
Testsuite: autopkgtest-pkg-python

Package: python3-dropbox
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Official Dropbox API Client (Python3 version)
 A Python SDK for integrating with the Dropbox API v2. You need to create an
 Dropbox Application to make API requests. All requests need to be made with an
 OAuth 2 access token. To get started, once you've created an app, you can go to
 the app's console and generate an access token for your own Dropbox account.
 .
 This package contains the Python 3 version of the library.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,filenamemangle=s/\S+\/(dropbox-[\d\.]+\.tar\.gz)#md5=\w+$/$1/,downloadurlmangle=s/\/simple\/dropbox\/\.\.\/\.\.([^#]+).*/$1/ \
https://pypi.python.org/simple/dropbox/ \
\S+/dropbox-(\S+)\.tar\.gz#md5=\w+

## python-dropbox 9.0.0

=== debian/changelog ===
python-dropbox (9.0.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field

  [ Michael Fladischer ]
  * New upstream release (Closes: #903525).
  * Set d/watch to use github release tarballs.
  * Clean up files in dropbox.egg-info/ to allow two builds in a row.
  * Bump Standards-Version to 4.2.1.

 -- Michael Fladischer <fladi@debian.org>  Mon, 27 Aug 2018 19:25:58 +0200

## python-dropbox 9.3.0

=== debian/changelog ===
python-dropbox (9.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Mon, 17 Dec 2018 15:22:18 +0100

python-dropbox (9.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Wed, 28 Nov 2018 19:02:27 +0100

python-dropbox (9.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Mon, 29 Oct 2018 18:49:02 +0100

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,10 @@
  python3-pytest-runner,
  python3-requests,
  python3-setuptools,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-dropbox
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-dropbox.git
 Homepage: http://www.dropbox.com/developers
-X-Python3-Version: >= 3.3
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-dropbox

## python-dropbox 9.4.0

=== debian/changelog ===
python-dropbox (9.4.0-2) unstable; urgency=low

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Michael Fladischer ]
  * Set Rules-Requires-Root: no.

 -- Michael Fladischer <fladi@debian.org>  Wed, 11 Dec 2019 17:28:01 +0100

python-dropbox (9.4.0-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compatibility and version to 12 and switch to
    debhelper-compat.
  * Bump Standards-Version to 4.4.0.

 -- Michael Fladischer <fladi@debian.org>  Wed, 17 Jul 2019 16:52:02 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  python3-all,
  python3-pytest-runner,
  python3-requests,
  python3-setuptools,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-dropbox
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-dropbox.git
 Homepage: http://www.dropbox.com/developers
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-dropbox
 Architecture: all

## python-dropbox 10.2.0

=== requirements.txt ===
ply
pytest
pytest-runner
requests
six==1.14.0
sphinx
twine
wheel

=== test/requirements.txt ===
pytest
mock
pytest-mock

=== debian/changelog ===
python-dropbox (10.2.0-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Michael Fladischer ]
  * New upstream release.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.5.0.

 -- Michael Fladischer <fladi@debian.org>  Mon, 15 Jun 2020 21:47:06 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-pytest-runner,
  python3-requests,
  python3-setuptools,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-dropbox
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-dropbox.git
 Homepage: http://www.dropbox.com/developers

## python-dropbox 10.10.0

=== requirements.txt ===
--- 
+++ 
@@ -6,3 +6,4 @@
 sphinx
 twine
 wheel
+stone==1.*

=== test/requirements.txt ===
pytest
mock
pytest-mock
coverage

=== debian/changelog ===
python-dropbox (10.10.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.5.1.
  * Use uscan version 4.

 -- Michael Fladischer <fladi@debian.org>  Mon, 30 Nov 2020 21:21:00 +0100

python-dropbox (10.6.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Thu, 15 Oct 2020 21:16:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: python-dropbox
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Section: python
@@ -11,9 +11,9 @@
  python3-pytest-runner,
  python3-requests,
  python3-setuptools,
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-dropbox
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-dropbox.git
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-dropbox
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-dropbox.git
 Homepage: http://www.dropbox.com/developers
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=dropbox

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/python-dropbox-$1/ \
https://github.com/dropbox/dropbox-sdk-python/releases \
/dropbox/dropbox-sdk-python/archive/v([\d\.]+)\.tar\.gz

## python-dropbox 11.26.0

=== debian/changelog ===
python-dropbox (11.26.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Mon, 31 Jan 2022 14:08:59 +0000

python-dropbox (11.25.0-1) unstable; urgency=low

  * New upstream release.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Thu, 06 Jan 2022 21:47:46 +0000

python-dropbox (11.21.0-1) unstable; urgency=low

  * New upstream release.
  * Update d/watch to work with github again.
  * Bump Standards-Version to 4.6.0.1.
  * Add python3-stone to Build-Depends.
  * Clean up .eggs/README.txt to allow two builds in a row.
  * Add patch to remove versioned requirement on pytest-runner.

 -- Michael Fladischer <fladi@debian.org>  Sat, 06 Nov 2021 18:00:49 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
  python3-pytest-runner,
  python3-requests,
  python3-setuptools,
-Standards-Version: 4.5.1
+ python3-stone,
+Standards-Version: 4.6.0.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-dropbox
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-dropbox.git
 Homepage: http://www.dropbox.com/developers

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/python-dropbox-$1/ \
https://github.com/dropbox/dropbox-sdk-python/releases \
/dropbox/dropbox-sdk-python/archive/refs/tags/v([\d\.]+)\.tar\.gz

## python-dropbox 11.30.0

=== debian/changelog ===
python-dropbox (11.30.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Wed, 27 Apr 2022 13:08:50 +0000

## python-dropbox 11.34.0

=== requirements.txt ===
# Dependencies required for installation (keep in sync with setup.py)
requests >= 2.16.2
six >= 1.12.0
stone >= 2.*
# Other dependencies for development
ply
pytest
pytest-runner
sphinx
twine
wheel

=== test/requirements.txt ===
pytest
mock
pytest-mock
coverage
stone>=2.*

=== debian/changelog ===
python-dropbox (11.34.0-1) unstable; urgency=low

  * New upstream release.
  * Use github tags instead of releases for d/watch.
  * Refresh patches.
  * Bump Standards-Version to 4.6.1.0.

 -- Michael Fladischer <fladi@debian.org>  Tue, 13 Sep 2022 20:08:44 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-requests,
  python3-setuptools,
  python3-stone,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-dropbox
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-dropbox.git
 Homepage: http://www.dropbox.com/developers

## python-dropbox 11.36.2

=== requirements.txt ===
# Dependencies required for installation (keep in sync with setup.py)
requests >= 2.16.2
six >= 1.12.0
stone >= 2
# Other dependencies for development
ply
pytest
pytest-runner
sphinx
twine
wheel

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

=== test/requirements.txt ===
pytest
mock
pytest-mock
coverage
stone>=2

=== debian/changelog ===
python-dropbox (11.36.2-1) unstable; urgency=medium

  * New upstream version 11.36.2
  * Bump Standards-Version to 4.6.2.
  * Update d/copyright with new years.
  * Build using pybuild-plugin-pyproject.
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Mon, 19 Jun 2023 20:18:54 +0000

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-pytest-runner,
  python3-requests,
  python3-setuptools,
  python3-stone,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-dropbox
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-dropbox.git
 Homepage: http://www.dropbox.com/developers

## python-dropbox 12.0.0

=== requirements.txt ===
# Dependencies required for installation (keep in sync with setup.py)
requests<2.30
urllib3<2
six >= 1.12.0
stone>=2,<3.3.3
# Other dependencies for development
ply
pytest
pytest-runner==5.2.0
sphinx
sphinx_rtd_theme
twine
wheel

=== debian/changelog ===
python-dropbox (12.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Refresh patch.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 22 May 2024 17:52:01 +0200

## python-dropbox 12.0.2

=== requirements.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
 # Dependencies required for installation (keep in sync with setup.py)
-requests<2.30
-urllib3<2
+requests>=2.16.2
 six >= 1.12.0
 stone>=2,<3.3.3
 # Other dependencies for development

=== test/requirements.txt ===
pytest
mock
pytest-mock
coverage
stone>=2,<3.3.3

=== debian/changelog ===
python-dropbox (12.0.2-2) unstable; urgency=medium

  * Team upload.
  * Patch-out dependency on python3-six

 -- Alexandre Detiste <tchet@debian.org>  Fri, 10 Jan 2025 00:44:59 +0100

python-dropbox (12.0.2-1) unstable; urgency=low

  [ Alexandre Detiste ]
  * New upstream version 12.0.2

  [ Michael Fladischer ]
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Thu, 18 Jul 2024 20:44:06 +0000

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-pytest-runner,
  python3-requests,
  python3-setuptools,
  python3-stone,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-dropbox
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-dropbox.git
 Homepage: http://www.dropbox.com/developers

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 export PYBUILD_NAME=dropbox
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/python-dropbox-$1/ \
https://github.com/dropbox/dropbox-sdk-python/tags \
/dropbox/dropbox-sdk-python/archive/refs/tags/v([\d\.]+)\.tar\.gz
